package emps.obiektowo;

import java.util.List;

public class P5_MinMax_v2 {
	// Program znajduje pracownika, który zarabia najwięcej, i pracownika, który zarabia najmniej,
	// i wypisuje ich dane (co najmniej: imię, nazwisko, pensję).

	// W tej wersji od razu zapamiętujemy kto to jest.
	// Program jest krótszy, a dane przeglądamy tylko raz.
	
	public static void main(String[] args) {
		List<Employee> emps = ObslugaCSV.wczytaj("emps.csv");
		
		int minSalary = Integer.MAX_VALUE;
		int maxSalary = Integer.MIN_VALUE;
		String ktoBogaty = "";
		String ktoBiedny = "";
		
		for(Employee emp : emps) {
			if(emp.getSalary() > maxSalary) {
				maxSalary = emp.getSalary();
				ktoBogaty = emp.getFirstName() + " " + emp.getLastName();
			}
			if(emp.getSalary() < minSalary) {
				minSalary = emp.getSalary();
				ktoBiedny = emp.getFirstName() + " " + emp.getLastName();
			}
		}
		
		System.out.println("Najbogatszy: " + ktoBogaty + ", zarabia " + maxSalary);
		System.out.println("Najbiedniejszy: " + ktoBiedny + ", zarabia " + minSalary);
	}

}
